%define rname	livehttpheaders
%define cid		\{8f8fe09b-0bd3-4470-bc1b-8cad42b8203a\}
%define ciddir  %firefox_extensionsdir/%cid

Summary:	Plugin to access HTTP headers in Firefox
Name:		%firefox_name-%rname
Version:	0.10
Release:	alt8
Source0:	%rname-%version.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://livehttpheaders.mozdev.org/index.html
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

%description 
The goal of this project is to adds information about the HTTP headers in two
ways:
 * First by adding a 'Headers' tab in 'View Page Info' of a web page.
 * Second by adding a tool in the 'Tools->Web Development' menu to be able to
   display http headers in real time (while pages are being downloaded from
   the Internet.
 * Third by letting you edit request headers and replay an URL (beta). Look
   for the Replay button in the live window!

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.10-alt8
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt7
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt6
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt5
- update for new firefox;

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt4
- update for new firefox;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt3
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt2.1
- postscript bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.10-alt1
- new_version;
- New Extension scheme.

* Mon Oct 25 2004 Alexey Gladkov <legion@altlinux.ru> 0.9-alt2
- Spec changes;

* Wed Oct 20 2004 Alexey Gladkov <legion@altlinux.ru> 0.9-alt1
- New version;
- New Extension scheme.

* Fri Feb 13 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt2
- Mozilla Firebird becomes Mozilla Firefox. Mozilla's next 
  generation browser has changed names (again);

* Sun Dec 28 2003 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- new version.

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.6-alt1
- first build for ALT Linux.

* Fri Sep 05 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.5mdk
- remove release part in mozilla dependancy

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.4mdk
- new mozilla package

* Mon Jul 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.3mdk
- new mozilla package

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.2mdk
- new mozilla

* Fri Jun 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6-1.20030627.1mdk
- first Mandrake package
